> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relayai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Datasets

> List all datasets for the current tenant.



## OpenAPI

````yaml get /api/v1/datasets
openapi: 3.1.0
info:
  title: Relay API
  description: Voice AI Artifact Detection Platform
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/datasets:
    get:
      tags:
        - datasets
      summary: List Datasets
      description: List all datasets for the current tenant.
      operationId: list_datasets_api_v1_datasets_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DatasetWithStats'
                type: array
                title: Response List Datasets Api V1 Datasets Get
      security:
        - APIKeyHeader: []
components:
  schemas:
    DatasetWithStats:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        artifact_types:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Artifact Types
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        audio_count:
          type: integer
          title: Audio Count
          default: 0
        annotation_set_count:
          type: integer
          title: Annotation Set Count
          default: 0
      type: object
      required:
        - id
        - name
        - description
        - artifact_types
        - created_at
        - updated_at
      title: DatasetWithStats
      description: Dataset response with statistics.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````